PulseAudio

Kohteesta Linux.fi
Siirry navigaatioon Siirry hakuun

PulseAudio on ALSAn sekä varsinaisen ääntä tuottavan ohjelmiston (VLC, GStreamer, jokin peli ym) välillä toimimaan tarkoitettu äänipalvelin. PulseAudio suunniteltiin korvaamaan ESD.

PulseAudion tarjoamia ominaisuuksia:

  • Ohjelmistokohtainen äänenvoimakkuuden hallinta
  • Äänen käsittely alhaisella latenssilla [1]
  • Äänen toisto verkon yli
  • Mahdollisuus yhdistää monta äänikorttia yhdeksi virtuaaliseksi kortiksi
  • Mahdollisuus liitännäisten tekoon

PulseAudio on otettu oletuksena käyttöön mm seuraavissa jakeluissa: Fedora (versiosta 8 alkaen) [2], Mandriva (2008.1) [3], openSUSE (11.0, vain Gnome-asennukset) [4] ja Ubuntu (8.04) [5].

Graafisia käyttöliittymiä[muokkaa]

PulseAudio-projektiin sisältyvät seuraavat GTK-pohjaiset graafiset käyttöliittymät:

Muita graafisia käyttöliittymiä:

  • Gnome-volume-control - Gnomen ääniasetusohjelman uudemmat versiot on toteutettu PulseAudiota hyödyntäen.

Ongelmat[muokkaa]

PulseAudioon siirtymisestä seurasi ongelmia tiettyjen ohjelmien kanssa. Etenkin jotkin ääni- ja musiikkiohjelmat aiheuttivat vaikeuksia. Viimeisenä mutta toimivana keinona oli monesti PulseAudion poistaminen käytöstä. Nykyään ongelmat PulseAudion kanssa ovat sangen harvinaisia, ja se onkin vakiinnuttanut paikkansa peruskäyttöön tarkoitettujen Linuxien yleisimpänä äänipalvelimena.

Asetuksien resetointi[muokkaa]

Info.png
Komennot, jotka alkavat merkillä $ (dollari) suoritetaan tavallisena käyttäjänä ja komennot, jotka alkavat merkillä # (ristikkomerkki) suoritetaan pääkäyttäjänä. Katso myös su ja sudo.

Kun Pulseaudion asetukset menevät sekaisin. Seuraava komentorivi käsky auttaa.

Ubuntu 12.10/Quantal (tai aikasempi)

$ rm -r ~/.pulse*; pulseaudio -k

Ubuntu 13.04/Raring (tai myöhempi)

$ rm -r ~/.config/pulse; pulseaudio -k

Ubuntu 16.04 LTS tai uudempi

$ killall pulseaudio; rm -r ~/.config/pulse/* ; rm -r ~/.pulse*

Odota kymmenisen sekuntia ja käynnistä Pulseaudio uudestaan seuraavalla käskyllä:

$ pulseaudio -k

Flash[muokkaa]

Abobe Flashin selainliitännäisen versio 9 ja sitä vanhemmat eivät ole yhteensopivia PulseAudion kanssa, mikä johtaa mm siihen, etteivät monien nettivideoiden (esimerkiksi Youtube) äänet toimi. Ratkaisuna on Flash-liitännäisen päivittäminen vähintään versioon 10 tai libflashsupport-nimisen yhteensopivuuskirjaston asentaminen.

Katso myös[muokkaa]

Aiheesta muualla[muokkaa]